﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 540B: (1 yr) VER IEEE /9500/600+1Hd
DATE:                  2017-01-27 05:40:46
AUTHOR:                Fluke
REVISION:              $Revision: 18758 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       237
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500B, 600B & TDS 700A Digitizing Oscilloscopes
#        Service Manual, Part No. 070-9721-02
#
#  Source Author:
#        Tektronix
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

# Verify MET/CAL version compatibility.
  1.005  MATH         @ReqMetCalVersion = "7.20x"
  1.006  CALL         Sub MET/CAL Version Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.008  DISP         or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method

  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  HEAD         UUT IDENTIFICATION
  1.017  TARGET
  1.018  CALL         Sub TDS500/600/700 Setup IEEE
  1.019  IEEE2        *RST;DESE 61
  1.020  WAIT         -t 4 System Initializing ...
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.022  MATH         L[1] = ZCMPI(@Manufacturer, "TEKTRONIX")
  1.023  MATH         L[2] = ZCMPI(@ModelNum, "TDS 540B")

  1.024  IF           NOT(L[1]) || NOT(L[2])
  1.025  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.025  DISP         not a Tektronix "TDS 540B"!
  1.026  END
  1.027  ENDIF

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  DISP         The following additional equipment and/or accessories
  1.031  DISP         are required:
  1.031  DISP
  1.031  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.031  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.031  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.031  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.031  DISP         - Dual Input Coupler (BNC)
  1.031  DISP         - 50 Ohm Feedthrough (BNC)
  1.032  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.033  CALL         Sub TDS500B Specifications
  1.034  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.035  JMPL         END                          @Abort
  1.036  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.037  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.038  MATH         @SourceChanNum = 1

# Specify channel to test.
  1.039  MATH         @Chan = 1
  1.040  CALL         Sub TDS500B (1 yr) DC Offset IEEE
  1.041  MATH         @Chan = 2
  1.042  CALL         Sub TDS500B (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 3
  1.044  CALL         Sub TDS500B (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 4
  1.046  CALL         Sub TDS500B (1 yr) DC Offset IEEE

  1.047  MATH         @Chan = 1
  1.048  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500
  1.049  JMPL         BANDWIDTH_CH1

  1.050  LABEL        DCV_ACC_CH2
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500
  1.053  JMPL         BANDWIDTH_CH2

  1.054  LABEL        DCV_ACC_CH3
  1.055  MATH         @Chan = 3
  1.056  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500
  1.057  JMPL         BANDWIDTH_CH3

  1.058  LABEL        DCV_ACC_CH4
  1.059  MATH         @Chan = 4
  1.060  CALL         Sub TDS500B (1 yr) DCV Meas Acc IEEE /9500
  1.061  JMPL         BANDWIDTH_CH4

  1.062  LABEL        BANDWIDTH_CH1
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.065  JMPL         TIMEBASE_TRIGGER

  1.066  LABEL        BANDWIDTH_CH2
  1.067  MATH         @Chan = 2
  1.068  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.069  JMPL         TRIG_SENS_CH2

  1.070  LABEL        BANDWIDTH_CH3
  1.071  MATH         @Chan = 3
  1.072  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.073  JMPL         TRIG_SENS_CH3

  1.074  LABEL        BANDWIDTH_CH4
  1.075  MATH         @Chan = 4
  1.076  CALL         Sub TDS500B (1 yr) Bandwidth IEEE /9500/600
  1.077  JMPL         TRIG_SENS_CH4

  1.078  LABEL        DELAY_MATCH
  1.079  MATH         @Chan = 1
  1.080  CALL         Sub TDS500B (1 yr) Delay Match IEEE /9500
  1.081  JMPL         OUTPUT_SIGNAL

  1.082  LABEL        TIMEBASE_TRIGGER
  1.083  MATH         @Chan = 1
  1.084  CALL         Sub TDS500B (1 yr) Time Base IEEE /9500
  1.085  CALL         Sub TDS500B (1 yr) Trig Time Acc IEEE /9500
  1.086  CALL         Sub TDS500B (1 yr) Trig Level Acc IEEE /9500
  1.087  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.088  OPBR         -z Each channel trig sensitivity test will take about
  1.088  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.088  OPBR         channels to save time, unless desired.
  1.088  OPBR
  1.088  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.088  OPBR         3, and 4?
  1.089  MATH         @TestCh234Sens = MEM1

  1.090  IF           @AuxTrigIn
  1.091  MATH         @Chan = 1
  1.092  CALL         Sub TDS500B (1 yr) Aux Trig In Sens IEEE /9500
  1.093  ENDIF

  1.094  JMPL         DCV_ACC_CH2

  1.095  LABEL        TRIG_SENS_CH2

  1.096  IF           @TestCh234Sens
  1.097  MATH         @Chan = 2
  1.098  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
  1.099  ENDIF

  1.100  JMPL         DCV_ACC_CH3

  1.101  LABEL        TRIG_SENS_CH3

  1.102  IF           @TestCh234Sens
  1.103  MATH         @Chan = 3
  1.104  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
  1.105  ENDIF

  1.106  JMPL         DCV_ACC_CH4

  1.107  LABEL        TRIG_SENS_CH4

  1.108  IF           @TestCh234Sens
  1.109  MATH         @Chan = 4
  1.110  CALL         Sub TDS500B (1 yr) Sens IEEE /9500/600
  1.111  ENDIF

  1.112  JMPL         DELAY_MATCH

  1.113  LABEL        OUTPUT_SIGNAL
  1.114  CALL         Sub TDS500B (1 yr) Output Signal IEEE /9500
  1.115  CALL         Sub TDS500B (1 yr) Probe Comp IEEE /9500

  1.116  LABEL        END
  1.117  IEEE2        *RST;DESE 61

  1.118  IF           @Abort
  1.119  DISP         V E R I F I C A T I O N   A B O R T E D
  1.120  ENDIF

  1.121  END
